KDE 4.2 PyKDE API Reference

- KDE's Python API

# Nepomuk Namespace Reference

`from PyKDE4.nepomuk.Nepomuk import *`

## Detailed Description

## Class Index

C | NepomukOntologyLoader (Nepomuk) | Service (Nepomuk)
Class (Nepomuk) | O | T
D | Ontology (Nepomuk) | Tag (Nepomuk)
DesktopOntologyLoader (Nepomuk) | P | TagCloud (Nepomuk)
E | Property (Nepomuk) | TagWidget (Nepomuk)
Entity (Nepomuk) | R | Thing (Nepomuk)
L | Resource (Nepomuk) | V
Literal (Nepomuk) | ResourceManager (Nepomuk) | Variant (Nepomuk)
N | S |

## Enumerations

ErrorCode | { NoError, CommunicationError, InvalidType, UnknownError }

## Functions

Nepomuk.Variant | RDFLiteralToValue (Soprano.Node node)
QString | defaultGraph ()
QString | errorString (Nepomuk.ErrorCode code)
QUrl | extractNamespace (QUrl url)
QString | naoNamespace ()
QString | nrlNamespace ()
QString | rdfNamepace ()
QString | rdfsNamespace ()
| setDefaultRepository (QString s)
QString | typePredicate ()
Soprano.Node | valueToRDFNode (Nepomuk.Variant a0)
[Soprano::Node] | valuesToRDFNodes (Nepomuk.Variant a0)

## Enumeration Documentation

ErrorCode

Enumerator:

  NoError = 0 |
  CommunicationError |
  InvalidType |
  UnknownError |

## Function Documentation

Nepomuk.Variant RDFLiteralToValue | ( | Soprano.Node | node
| ) |  |  |

Used internally by Resource. Converts a literal value from the RDF store into a Variant.

QString defaultGraph | ( |  | self ) |

Used internally by Resource.

Returns:
  The URI of the RDF graph meta data is stored in.

Deprecated:
  Use Nepomuk.ResourceManager.mainModel()

QString errorString | ( | Nepomuk.ErrorCode | code
| ) |  |  |

Returns:
  A human-readble string.

QUrl extractNamespace | ( | QUrl | url
| ) |  |  |

QString naoNamespace | ( |  | self ) |

Deprecated:
  Use Soprano.Vocabulary.NAO.naoNamepace()

QString nrlNamespace | ( |  | self ) |

Deprecated:
  Use Soprano.Vocabulary.NRL.nrlNamepace()

QString rdfNamepace | ( |  | self ) |

Deprecated:
  Use Soprano.Vocabulary.RDF.rdfNamepace()

QString rdfsNamespace | ( |  | self ) |

Deprecated:
  Use Soprano.Vocabulary.RDFS.rdfsNamepace()

setDefaultRepository | ( | QString | s
| ) |  |  |

Deprecated:
  Has no effect anymore.

QString typePredicate | ( |  | self ) |

Used internally by Resource.

Returns:
  The URI of the predicate used to state the type of a resource.

Deprecated:
  Use Soprano.Vocabulary.RDF.type()

Soprano.Node valueToRDFNode | ( | Nepomuk.Variant | a0
| ) |  |  |

[Soprano::Node] valuesToRDFNodes | ( | Nepomuk.Variant | a0
| ) |  |  |

Used internally by Resource. Converts a Variant into a literal value to be used in the RDF store. Uses the language set in the current KDE session.